StringNormalizingReader (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.svg
Class StringNormalizingReader

    java.lang.Object
      java.io.Reader
          com.mxgraph.util.svg.NormalizingReader
              com.mxgraph.util.svg.StringNormalizingReader

All Implemented Interfaces:
  Closeable, Readable

    public class StringNormalizingReader

extends NormalizingReader

This class represents a NormalizingReader which handles Strings.

Field Summary
`protected int` | `column` The current column in the stream.
`protected int` | `length` The length of the string.
`protected int` | `line` The current line in the stream.
`protected int` | `next` The index of the next character.
`protected String` | `string` The characters.

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`StringNormalizingReader(String s)` Creates a new StringNormalizingReader.

Method Summary
`void` | `close()` Close the stream.
`int` | `getColumn()` Returns the current column in the stream.
`int` | `getLine()` Returns the current line in the stream.
`int` | `read()` Read a single character.

Methods inherited from class com.mxgraph.util.svg.NormalizingReader
`read`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    protected String string

  The characters.

### length

    protected int length

  The length of the string.

### next

    protected int next

  The index of the next character.

### line

    protected int line

  The current line in the stream.

### column

    protected int column

  The current column in the stream.

Constructor Detail

### StringNormalizingReader

    public StringNormalizingReader(String s)

  Creates a new StringNormalizingReader.

  Parameters:
    `s` - The string to read.

Method Detail

### read

    public int read()
             throws IOException

  Read a single character. This method will block until a character is available, an I/O error occurs, or the end of the stream is reached.

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### getLine

    public int getLine()

  Returns the current line in the stream.

  Specified by:
    `getLine` in class `NormalizingReader`

### getColumn

    public int getColumn()

  Returns the current column in the stream.

  Specified by:
    `getColumn` in class `NormalizingReader`

### close

    public void close()
               throws IOException

  Close the stream.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.